/*
 *   ScenarLang a domain specific language that attempts to make it even easier
 *   to write unit tests with mockito
 *    
 *   Copyright (C) 2012  X. Gillard 
 *   
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or (at your option) any later version.
 *   
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *   
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
package xgi.ut.dsl.dummy;

import java.util.Date;

/**
 * An implementation of IBrol
 */
public class BrolA extends AbstractBrol implements IBrol {
    
	private String  string;
	private int     integer;
	private double  floatpt;
	private boolean bool;
	private Date    date;
	private IBrol   brol;
	
	@Override
	public String getString() {
		return string;
	}

	@Override
	public int getInt() {
		return integer;
	}

	@Override
	public double getDouble() {
		return floatpt;
	}

	@Override
	public boolean getBool() {
		return bool;
	}

	@Override
	public Date getDate() {
		return date;
	}

	@Override
	public IBrol getBrol() {
		return brol;
	}

	@Override
	public String getParameterString(String param) {
		return null;
	}

}
